import { animal } from '../models/types';
import AnimalCard from './AnimalCard/AnimalCard';
import Header from './Header/Header';

export const MainPage = () => {
  {/* TODO: Get list of all animals from endpoint 'http://localhost:4000/animals'*/}

  {/* Sample data, replace it by fetched data */}
  const animals: animal[] =
    [
      {
      id: '2afb0aa5-7c98-40cf-8965-46b44fbb2f34',
      name: 'Tigrík',
      description: 'Ahojte, volám sa Tigrík a som krásny 8 mesačný kocúrik. Do útulku som sa dostal ako malé mačiatko, žiaľ stále o mňa nikto nemá záujem, no ja neprestávam veriť, že aj ja raz nájdem skutočný domov, kde budem ľúbený. Som stále hravé mačiatko, prítulný, kontaktný kocúrik. Som zvyknutý aj na spoločnosť svojich mačacích kamošov. Rád by som našiel domov vnútri, kde budem blízko svojej rodinky. Ak hľadáte nenáročného, vďačného spoločníka, čakám tu práve na vás.',
      age: 0.9,
      sex: true,
      type: 'cat',
      picture: '/images/tigrik.webp',
      addedAt: new Date('1970-01-01T00:00:00.000Z')
    },
    ];

  return (
    <div>
      <Header/>
      <main>
        <div className="container">
          {animals.map((item) => <AnimalCard key={item.id} {...item} />)}
        </div>
      </main>
    </div>
  );
};

export default MainPage;
